# vmware_category – Manage VMware categories

New in version 2.7.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to create / delete / update VMware categories.
- Tag feature is introduced in vSphere 6 version, so this module is not supported in the earlier versions of vSphere.
- All variables and VMware object names are case sensitive.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6
- PyVmomi
- vSphere Automation SDK

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

category_cardinality
string

Choices:
- multiple ←
- single

The category cardinality.
This parameter is ignored, when updating existing category.

category_description string | Default: "" | The category description. This is required only if `state` is set to `present`. This parameter is ignored, when `state` is set to `absent`.
category_name string / required |  | The name of category to manage.
hostname string |  | The hostname or IP address of the vSphere vCenter server. If the value is not specified in the task, the value of environment variable `VMWARE_HOST` will be used instead.
new_category_name string |  | The new name for an existing category. This value is used while updating an existing category.
password string |  | The password of the vSphere vCenter server. If the value is not specified in the task, the value of environment variable `VMWARE_PASSWORD` will be used instead. aliases: pass, pwd

protocol
string

Choices:
- http
- https ←

The connection to protocol.

state
string

Choices:
- present ←
- absent

The state of category.
If set to `present` and category does not exists, then category is created.
If set to `present` and category exists, then category is updated.
If set to `absent` and category exists, then category is deleted.
If set to `absent` and category does not exists, no action is taken.
Process of updating category only allows name, description change.

username string |  | The username of the vSphere vCenter server. If the value is not specified in the task, the value of environment variable `VMWARE_USER` will be used instead. aliases: admin, user

validate_certs
boolean

Choices:
- no
- yes ←

Allows connection when SSL certificates are not valid.
Set to `no` when certificates are not trusted.
If the value is not specified in the task, the value of environment variable `VMWARE_VALIDATE_CERTS` will be used instead.

## Notes

Note

- Tested on vSphere 6.5

## Examples

    - name: Create a category
      vmware_category:
        hostname: "{{ vcenter_server }}"
        username: "{{ vcenter_user }}"
        password: "{{ vcenter_pass }}"
        category_name: Sample_Cat_0001
        category_description: Sample Description
        category_cardinality: 'multiple'
        state: present

    - name: Rename category
      vmware_category:
        hostname: "{{ vcenter_server }}"
        username: "{{ vcenter_user }}"
        password: "{{ vcenter_pass }}"
        category_name: Sample_Category_0001
        new_category_name: Sample_Category_0002
        state: present

    - name: Update category description
      vmware_category:
        hostname: "{{ vcenter_server }}"
        username: "{{ vcenter_user }}"
        password: "{{ vcenter_pass }}"
        category_name: Sample_Category_0001
        category_description: Some fancy description
        state: present

    - name: Delete category
      vmware_category:
        hostname: "{{ vcenter_server }}"
        username: "{{ vcenter_user }}"
        password: "{{ vcenter_pass }}"
        category_name: Sample_Category_0002
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
category_results dictionary | on success | dictionary of category metadata Sample: {'category_id': 'urn:vmomi:InventoryServiceCategory:d7120bda-9fa5-4f92-9d71-aa1acff2e5a8:GLOBAL', 'msg': 'Category NewCat_0001 updated.'}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Abhijeet Kasurde (@Akasurde)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.